/*******************************************************************************
 * Copyright 2019 2Fi Business Solutions Ltd.
 *
 *
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.counter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

/**
 * @author Patrick
 */
@Entity
@Table(name = "id_counter")
public class IdCounter extends BaseEntity<Integer> {

	private static final long serialVersionUID = 2968431879107638750L;

	@Column(columnDefinition = "varchar(50)")
	private String name;

	@Column(nullable = false)
	private int count;

	// min. length for code formatting
	@Column(nullable = false)
	private int length;

	/** Default constructor */
	public IdCounter() {

	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

}
